Bug 1264647 - SELinux is preventing ip from read, append access on the file /run/libvirt/network/nwfilter.leases.
SELinux is preventing ip from read, append access on the file /run/libvirt/ne...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:34eccb345008b269402f102b081...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 16:50 EDT by sudikeru
Modified: 2016-04-14 11:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 11:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sudikeru 2015-09-19 16:50:17 EDT
Description of problem:
Start Fedora 22 with Xen and bridge
SELinux is preventing ip from read, append access on the file /run/libvirt/network/nwfilter.leases.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что ip следует разрешить доступ read append к nwfilter.leases file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep ip /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ifconfig_t:s0-s0:c0.c1023
Target Context                system_u:object_r:dnsmasq_var_run_t:s0
Target Objects                /run/libvirt/network/nwfilter.leases [ file ]
Source                        ip
Source Path                   ip
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.13.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-201.fc22.x86_64 #1 SMP Fri
                              Sep 4 17:49:24 UTC 2015 x86_64 x86_64
Alert Count                   168
First Seen                    2015-09-19 22:31:46 MSK
Last Seen                     2015-09-19 23:20:09 MSK
Local ID                      77757bfb-893b-43b0-bcb2-b188e021ed6e

Raw Audit Messages
type=AVC msg=audit(1442694009.846:1082): avc:  denied  { read append } for  pid=7721 comm="ip" path="/run/libvirt/network/nwfilter.leases" dev="tmpfs" ino=27451 scontext=system_u:system_r:ifconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:dnsmasq_var_run_t:s0 tclass=file permissive=0


Hash: ip,ifconfig_t,dnsmasq_var_run_t,file,read,append

Version-Release number of selected component:
selinux-policy-3.13.1-128.13.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-201.fc22.x86_64
type:           libreport

Potential duplicate: bug 1178565
Comment 1 sudikeru 2015-10-19 04:20:10 EDT
Description of problem:
Start virtual machine on Fedora 22 with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 2 sudikeru 2015-10-19 04:43:04 EDT
Description of problem:
Start Fedora 22 with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 3 sudikeru 2015-11-03 17:35:30 EST
Description of problem:
Start Fedora 22

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 4 Cole Robinson 2016-04-14 11:56:29 EDT
Despite multiple attempts across multiple bugs sudikeru@freeletter.me hasn't responded to NEEDINFO and infact the mail address bounces. Closing this as INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.